@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cause:wght@100..900&family=Dancing+Script:wght@400..700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
.animated-element {
    opacity: 0;
    position: relative;
    top: 5rem;
    transition: all .8s ease;
    transition-delay: 2.7;
}
.animated-element.visible {
    opacity: 1;
    position: relative;
    top: 0rem;
    transition: all .9s ease;
}
a{
    text-decoration: none;
    font-family: "Montserrat", sans-serif;
}
:root{
    --black-color: rgb(0,0,0);
    --main-color: #FF0080;
    --main-color-lite: #ff008024;
    --sub-color-green: green;
    --animate-delay: 0.7s;
    --logo-width: 350px; /* Base width per logo; adjust for your designs */
    --slider-max-width: 90%; /* Controls how many logos are visible (e.g., 4 at 200px) */
    --slider-height: 250px; /* Logo container height */
    --animation-duration: 20s; 
}
.hide-menu{
    transform: scale(0,0);
    transform-origin: right;
    transition: transform .5s ease-in-out;
}
.show-menu{
    transform: scale(1, 1);
    transform-origin: right;
    transition: transform .5s ease-in-out;
}

div#mobile-nav{
    z-index: 9999;
    width: 100%;
    height: 100vh;
    background-color: rgba(70, 70, 70, 1);
    position: fixed;
    display: flex;
    justify-content: center;
    padding-block: 1.2rem;
    overflow: scroll;
}
#mobile-nav-div{
    width: 65%;
}
#mobile-nav ul{
    list-style: none;
    margin-block-start: 1.5rem;
}
div#mobile-nav i{
    color: #ffffff;
}
#mobile-nav-div > ul >li > a{
    color: #fff;
    text-decoration: none;
    display: inline-block;
    padding: .5rem;
    font-weight: 500;
    font-size: 1rem;
}
.mobile-menu p{
    color: #ffffff;
    text-decoration: none;
    display: inline-block;
    padding: .5rem;
    font-weight: 500;
    font-size: 1rem;
}
#mobile-menu{
    display: none;
}
#close-menu{
    font-size: 1.5rem;
    text-align: right;
    display: inline-block;
    width: 100%;
    color: #ffffff;
}


nav{
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 0rem 4rem;
    background-color: var(--main-color);
    position: sticky;
    top: 0;
    z-index: 9;
}
nav img{
    width: 300px;
}
nav ul{
    display: flex;
    gap: .5rem;
    list-style: none;
    margin: 0;
    padding: 0;
}
nav a{
    text-decoration: none;
    color: #ffffff;
    font-weight: 500;
    padding: 1rem;
    font-size: 1rem;
}
nav a:hover{
    color: rgb(252, 195, 252)
}
nav i{
    color: #ffffff;
}
#order-request{
    color: var(--black-color);
    background-color: white;
    padding: .5rem 2rem;
    border-radius: 40px;
    font-size: .82rem;
}
#order-request:hover{
    background-color: var(--main-color);
    color: #ffffff;
}
#banner-section{
   
}
.carousel,.carousel-inner{
    height: 100vh;
}
.carousel-item{
    position: relative;
    display: flex;
    justify-content: right;
    width: 100%;
    height: 100%;
    background-color: rgb(240,240,240);
}
.inner-banner{
    position: absolute;
    display: flex;
    gap: 4rem;
    align-items: end;
    top: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(to top, rgba(255,0,128, 0.95) 0%, rgba(255,0,128, 0.45) 50%, rgba(255, 255, 255, 0.02));
    padding: 7rem 5rem;
}
.inner-banner-writ{
    width: 65%;
}
.inner-banner-writ h1{
    font-family: "DM Sans", sans-serif;
    font-size: 3rem;
    color: #ffffff;
}

.inner-banner-video{
    width: 25%;
}
.inner-banner-video video{
    width: 100%;
    border-radius: 20px;
}
.banner-book{
    display: flex !important;
}
.banner-book div{
    display: flex;
    flex-direction: column;
    text-align: right;
    justify-content: center;
    padding-right: 5rem;
}
.banner-book h1{
    font-size: 3.5rem;
    color: rgb(23, 0, 67);
}
.banner-book p{
    font-size: 1.1rem;
    font-family: "Montserrat", sans-serif;
    font-weight: 500;
    color: rgb(80, 0, 80);
    margin-bottom: 1rem;
    --animate-delay: 0.5s;
}
.banner-book em{
    font-family: "Dancing Script", cursive;
    font-size: 1.35rem;
    color: rgb(100, 0, 100);
    margin-bottom: 1.2rem;
    --animate-delay: 0.3s;
}
.banner-book a{
    text-decoration: none;
    background-color: var(--main-color);
    color: #ffffff;
    padding: 1rem 3rem;
    border-radius: 40px;
    font-size: 1.2rem;
    font-weight: 600;
    width: fit-content;
    margin-left: auto;
}
.banner-image1{
    display: block;
}
.banner-image2{
    display: none;
}

#menu .dropdown{
    position: relative;
    display: inline-block;
}
.menuList{
    display: none;
}
#menu .menuList{
    top:37px;
    position: absolute;
    background-color: #ffffff;
    z-index: 99;
    width: 450px;
    border-radius: 6px;
    padding: 1rem 2rem;
}
#menu .menuList ul li{
    margin-top: .5rem;
}
.menuList a{
    color: var(--main-color);
    display: block;
    margin-block: .25rem;
}
.menuList a:hover{
    color: rgba(210, 210, 210, .95)
}
.dropdown:hover > .menuList{
    display: block;
}
#module{
    padding: 3rem;
    background-color: var(--main-color-lite);
    color: #ffffff;
    text-align: center;
}
.module-div{
    display: flex;
    justify-content: center;
    gap: 1.5rem;
}
.module-list{
    width: 22%;
    position: relative;
}
.module-list img{
    max-width: 100%;
    filter: brightness(.4);
    border-radius: 15px;
}
.module-writ{
    position: absolute;
    top: 50%;
    width: 100%;
    padding-inline: 1rem;
}
.module-up-writ{
    font-family: "Montserrat", sans-serif;
    display: inline-block;
    font-size: 1.5rem;
    margin-bottom: 1rem;
}
.module-down-writ{
    font-size: 3.5rem;
    font-family: "Oswald", sans-serif;
    display: inline-block;
    margin-top: -15px;
}
.module-writ p{
    font-family: "DM Sans", sans-serif;
    color: rgb(220,220,200);
    font-size: 1rem;
}

#smiling-section{
    position: relative;
    height: 90vh;
    overflow-y: hidden;
    text-align: center;
}
#smiling-section video{
    width: 100%;
}
#smiling-section img{
    width: 100%;
}
.smiling-section-writ{
    position: absolute;
    top: 32%;
    margin: auto;
    width: 100%;
    color: #ffffff;
    font-family: "DM Sans", sans-serif;
}
.smiling-section-writ h1{
    font-size: 5rem;
    font-weight: 500;
    line-height: 85px;
}
.smiling-section-writ a{
    text-decoration: none;
    color: black;
    background-color: #ffffff;
    padding: .6rem 1.1rem;
    border-radius: 40px;
    font-size: 1.15rem;
    font-family: "DM Sans", sans-serif;
}
.smiling-section-writ a:hover{
    background-color: var(--main-color);
    color: #ffffff;
}
.smiling-section-writ p{
    width: 30%;
    margin: 2rem auto;
    font-size: 1.1rem;
}
.smiley-2{
    display: none;
}
.smiling-section-img2{
    display: none;
}
#wants{
    height: auto;
    padding: 5rem;
    font-family: "DM Sans", sans-serif;
    padding-bottom: 1rem;
}
.wants-header h1{
    font-size: 5rem;
}
.wants-first{
    width:100%;
    height: 130vh;  
}
.wants-first-top{
    display: flex;
    justify-content: space-between;
}
.wants-first-top-left{
    width: 70%;
    height: 80vh;
    border-radius: 30px;
    background-image: url('../img/grace004.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}
.wants-first-top-right{
    font-size: 1.65rem;
    width: 30%;
    padding: 4rem;
    background-color: #ffffff;
    border-radius: 30px;
}
.wants-first-bottom{
    display: flex;
    justify-content: space-between;
}

.wants-first-bottom-left h2{
    font-size: 2.5rem;
    color: rgb(100,100,100);
}
.wants-first-bottom-left div{
    display: flex;
    justify-content: space-between;
}

.wants-first-bottom-left img{
    width: 250px
}
.wants-first-bottom-right{
    font-size: 2rem;
    width: 30%;
}
.wants-first-bottom-right video{
    max-width: 100%;
    border-radius: 30px;
}

#get-started{
    height: 70vh;
    position: relative;
    font-family: "DM Sans", sans-serif;
    overflow: hidden;
}
#get-started img{
    max-width: 100%;
}
.get-started-writ{
    position: absolute;
    top: 0;
    padding: 0 10rem;
    width: 100%;
    height: 70vh;
    display: flex;
    align-items: center;
    background-image: linear-gradient(90deg, rgba(255, 0, 128, 0.95), rgba(255, 0, 128, 0.15));
}
.get-started-header{
    letter-spacing: 5px;
    font-size: 3rem;
}
.get-started-writ > div{
    width: 60%;
    color: rgb(240,240,240)
}
.get-started-down-writ{
    margin-block: 2rem;
    font-size: 1.075rem;
}
.get-started-writ p{
    font-size: 1.95rem;
}
.get-started-writ a{
    font-size: 1.175rem;
    color: rgb(50, 0, 50);
    text-decoration: none;
    padding: .75rem 2rem;
    background-image: linear-gradient(90deg, rgba(255, 255, 255, 0.95), rgba(200, 200, 200, .7));
    border-radius: 40px;
}
.get-started-image2{
    display: none;
}
#testimonies{
    height: 70vh;
    display: flex;
    align-items: center;
    gap: 1rem;
    padding: 3rem 10rem 1rem 10rem;
}
.testimonies-header{
    letter-spacing: 3.5px;
    word-spacing: 10px;
}
/*#carouselExampleControls{
    width: 70%;  
    position: relative !important;
}
.carousel-inner{
    border-radius: 20px;
}
.carousel-item > div{
    display: flex !important;
}
.testimonies-div-left-image{
    width: 80%
}
.carousel-item img{
    max-width: 100%;
    border-radius: 20px 0px 0px 20px;
}*/
.testimonies-div-left-writ{
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 4rem;
    color: #ffffff;
    background-image: linear-gradient(90deg, rgba(233, 210, 0, 0.95), rgba(77, 0, 77, .5));
}

.testimonies-div-right{
    width: 40%;
}
.testimonies-div-right a{
    display: inline-block;
    font-size: 1.175rem;
    color: rgb(240,240,240);
    text-decoration: none;
    padding: .75rem 2rem;
    background-image: linear-gradient(90deg, rgba(233, 210, 0, 0.95), rgba(777, 0, 77, .4));
    border-radius: 40px;
}
#coaching{
    padding: 2rem 0rem;
    background-color: rgba(255, 192, 203, .2);
}
.coaching-head{
    font-weight: 300;
    text-align: center;
    margin-bottom: 2rem;
}
.coaching-body{
    text-align: center;
}
.coaching-body-video{
    display: flex;
    justify-content: center;
    gap: 1.5rem;
}
.coaching-body iframe{
    width: 31%;
    height: 350px;
}
.coaching-body a{
    background-color: var(--main-color);
    color: #ffffff;
    text-decoration: none;
    padding: 1rem 6rem;
    border-radius: 50px;
    display: inline-block;
    margin-top: 2rem;
}
.footer{
    background-color: var(--black-color);
    font-family: "Montserrat", sans-serif;
    color: #ffffff;
    padding: 3rem 4rem;
}
.footer-section-one{
    padding: 1rem 3.5rem;
}
.footer-section-one h1{
    font-size: 2.8rem;
}
.footer-section-one a{
    font-size: 1.2rem;
    background-color: #ffffff;
    color: var(--black-color);
    text-decoration: none;
    padding: .5rem 2rem;
    position: relative;
    top: -10px;
    border-radius: 40px;
}
.footer-section-one a:hover{
    color: #ffffff;
    background-color: var(--main-color)
}
.footer-section-two{
    display: flex;
    gap: 4rem;
    flex-wrap: wrap;
    padding: .2rem 3.5rem;
    width: 100%;
}
.footer-section-two > div{
    width: 20%;
}
.footer-section-two ul{
    list-style: none;
    margin: 0;
    padding: 0;
}
.footer-section-two .explore{
    display: flex;
    gap: 1.5rem;
}
.explore > div:nth-child(2){
    display: none;
}

.footer-section-two ul a{
    display:inline-block;
    color: #ffffff;
    font-size: .9rem;
    padding-block-end: .3rem;
    text-decoration: none;
    font-family: "Montserrat", sans-serif;
}
.footer-section-two p{
    font-family: "Montserrat", sans-serif;
    font-size: .9rem;
}
.footer-socials p{
    display: flex;
    gap: 1rem;
}
#footer-form input{
    background-color: rgb(1, 1, 63);
    border: none;
    color: #fff;
    width: 270px;
    padding: .5rem;
    border-bottom: 1px solid #fff;
}
#footer-form button{
    background-color: var(--main-color);
    border: 1px solid #fff;
    font-size: .95rem;
    padding: .2rem 1rem;
    color: #fff;
}
.footer i{
    color: #ffffff;
}
.footer-socials{
    display: flex;
    gap: 1rem;
}
@media screen and (max-width: 598px) {
    nav{
        padding: .5rem .75rem; 
        justify-content: space-between;
    }
    nav #orders{
        display: none;
    }
    nav ul{
        display: none;
    }
    nav img{
        width: 150px;
    }
    .banner-book{
        flex-direction: column !important;
        padding: 1rem;
        max-width: 100%;
    }
    .banner-book div{
        display: block;
        text-align: center;
        padding-right: 0rem;
    }
    .banner-book h1{
        font-size: 2rem;
    }
    .banner-book a{
        display: inline-block;
        padding: 1rem 3rem;
        border-radius: 40px;
        margin: 0 auto;
        margin-top: 1.5rem;
    }
    .banner-image1{
        display: none;
        
    }
    .banner-image2{
        display: block;
        max-width: 100%;
    }
    .inner-banner{
        flex-direction: column;
        justify-content: center;
        gap: 1.5rem;
        align-items: start;
        padding: 1.5rem;
    }
    .inner-banner-writ{
        width: 100%;
        margin-top: 13rem;
    }
    .inner-banner-writ h1{
        font-size: 1.35rem;
    }
    .inner-banner-video{
        width: 100%;
    }    
    .carousel,.carousel-inner{
        height: 125vh;
    }
    #module{
        padding: 1rem;
        background-color: black;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap: 1.5rem;
        color: #ffffff;
        text-align: center;
    }
    .module-div{
        display: block;
    }
    .module-list{
        width: 100%;
        position: relative;
        margin-top: 1rem;
    }
    #smiling-section{
        height: 70vh;
    }
    #smiling-section video{
        width: 100%;
        height: 100%;
    }
    .smiling-section-writ{
        position: absolute;
        top: 45%;
        margin: auto;
        width: 100%;
        color: rgb(240,240,240);
        font-family: "DM Sans", sans-serif;
    }
    .smiling-section-writ h1{
        font-size: 1.35rem;
        font-weight: 500;
        line-height: 20px;
    }
    .smiling-section-writ p{
        display: none;
        width: 80%;
        margin: 2rem auto;
        font-size: 1.1rem;
    }
    .smiley-2{
        display: block;
    }
    .smiley-1{
        display: none;
    }
    .smiling-section-img2{
        display: block;
    }
    .smiling-section-img1{
        display: none;
    }

    #wants{
        padding: .5rem;
        font-family: "DM Sans", sans-serif;
    }
    .wants-header h1{
        font-size: 2rem;
    }
    .wants-first{
        width:100%;
        height: auto;  
    }
    .wants-first-top{
        flex-direction: column;
    }
    .wants-first-top-left{
        width: 100%;
        height: 80vh;
        background-position: 10% left;
    }
    .wants-first-top-right{
        font-size: 1.25rem;
        text-align: justify;
        height: auto;
        width: 100%;
        padding: .1rem;
        background-color: #ffffff;
        border-radius: 30px;
        margin-top: 1rem;
    }
    .wants-first-bottom{
        flex-direction: column;
    }
    .wants-first-bottom-left{
        width: 100%;
        padding: 1.5rem;
    }
    .wants-first-bottom-left h2{
        font-size: 2rem;
        text-align: center;
    }
    .wants-first-bottom-left > div{
        display: flex;
        flex-wrap: wrap;
        width: 100%;
    }
    .wants-first-bottom-left img{
        display: block;
        width: 50%;   
    }




    #get-started{
        height: auto;
    }
    .get-started-writ{
        position: absolute;
        top: 0;
        padding: 0 2rem;
        height: 100%;
    }
    .get-started-writ > div{
        width: 90%;
        color: rgb(240,240,240)
    }
    .get-started-image2{
        display: block;
    }
    .get-started-image1{
        display: none;
    }
    .get-started-header{
        font-size: 1.75rem;
    }
    .get-started-writ p{
        font-size: 1.15rem;
    }
    /*#smiling-section{
        display: none;
    }*/
    .coaching-body iframe{
        width: 90%;
        margin: auto;
        height: 300px;
    }
    .coaching-body-video{
        flex-direction: column;
    }
    .coaching-body a{
        padding: 1rem 4rem
    }
    .footer{
        padding: 1rem 2rem;
    }
    .footer-section-one{
        padding: 1rem .5rem;
    }
    .footer-section-one h1{
        font-size: 1.75rem;
    }
    .footer-section-one a{
        font-size: 1rem;
        padding: .5rem 1rem;
        position: relative;
        top: 2px;
        display: block;
        width: 50%;
        text-align: center;
    }
    .footer-section-two{
        display: flex;
        flex-wrap: wrap;
        padding: .2rem .5rem;
    }
    
}
@media screen and (min-width: 1000px)and (max-width: 1400px) {
    nav ul{
        gap: 1rem;
    }
    .module-down-writ{
        font-size: 3.5rem;
    }
    .module-writ p{
        font-size: 1.07rem;
    }
    .get-started-writ{
        padding: 0 5rem;
    }
    .get-started-writ > div{
        width: 50%;
    }
}

